/* INDEX */
body {
  margin: 0;
  font-family: -apple-system, BlinkMacSystemFont, 'Segoe UI', 'Roboto', 'Oxygen',
    'Ubuntu', 'Cantarell', 'Fira Sans', 'Droid Sans', 'Helvetica Neue',
    sans-serif;
  -webkit-font-smoothing: antialiased;
  -moz-osx-font-smoothing: grayscale;

  background-color:black;
  color:white;
  font-size:1.25rem;
}
code {
  font-family: source-code-pro, Menlo, Monaco, Consolas, 'Courier New',
    monospace;
}



/* APP  */
.TableView, .MobileView, .MobileViewAll {
  display: flex;
}
.version{
  position: absolute;
  right: 1em;
  bottom: 1em;
  font-size:0.75em;
  text-align:right;
}
.version-table, .version-client{
  color:white;
  opacity: 0.1;
}
.version-warning{
  color:crimson;
  opacity: 1;
}

.container{
  display: flex;
  flex-direction: row;
  flex-wrap: wrap;
  width: 100%;
}
.col-25{
  flex:25%;
}
.col-50{
  flex:50%;
}
.col-75{
  flex:75%;
}
.col-content{
 width:94%;
 margin-left: 3%;
}
.text-right{
  text-align:right;
}
.m5{
  margin: 5%;
}

/* NAVBAR */
.Navbar{
  width:100%;
  border-radius: 0.5rem;
  margin-top: 1rem;

  background-color: black;
  border: solid thin #222; 
  box-shadow: 5px 5px 10px black;
  opacity:1;
}
.Navbar .LinkContainer{
  width: 14.25%;
  display: inline-block;
  text-align:center;
}
.Navbar a{
 text-decoration:none;
 color:white;
}

/* SCREEN */
.Screen{
  width:100%;
  border-radius: 0.5rem;
  margin-top: 1rem;

  background-color: black;
  border: solid thin #222; 
  box-shadow: 5px 5px 10px black;
  opacity:1;
  position:relative;

  
}
.Screen img {
    width:100%;
    border-radius: 0.5rem;    
}
.Screen .screen-message{
  position:absolute;
  top:0;
  left:0;
  padding-left:1em;
  font-size: 2vw;
  color: white; /* Text color */
  text-shadow: 3px 0 black, 0 3px black, -3px 0 black, 0 -3px black, -3px -3px black, -3px 3px black, 3px -3px black, 3px 3px black;
  font-family: "Baloo 2", sans-serif;
  font-weight: 482;
  line-height:1.25em;  
}

.Screen .screen-message h1 {
  font-size: 3vw;       
  margin-top:0.5em;     
  margin-bottom:0.5em;   
}
.Screen .screen-message p {
  margin:0;
  margin-bottom:0.5em;
}
.Screen .screen-message ul {
  list-style: square;
}

.Screen red{
  color:salmon;
}
.Screen gold{
  color:gold;
}
.Screen blue{
  color:aquamarine;
}

.Screen .screen-next{
  background-color:black;
  text-align:center;
  font-size: 2.5vw;
  color: white; 
  text-shadow: 
      -3px -3px 2px black,
      3px -3px 2px black,
      -3px 3px 2px black,
      3px 3px 2px black; 
  font-family: "Baloo 2", sans-serif;
  font-weight: 482;
  border-bottom-left-radius: 0.5rem;
  border-bottom-right-radius: 0.5rem;
}


/* MESSAGE */
.Message{
  display: flex;
  justify-content: center;
  align-items: center;
  height: 800px;
  
  
}
.Message .message-container{
  font-size: 2rem;
  color:antiquewhite;
  
  border-radius: 0.5rem;
  text-transform: capitalize;
  background-color: #000000b0;
  border: solid thin #444;
  box-shadow: 5px 5px 10px black;
  display: flex;
      
}
.Message .message-text{
  padding: 1.5rem;
  width:90%;
  /* background-color:red; */
}
.Message .message-buttons{
  width:10%;
  height:100%;
  /* background-color:blue; */
}
.Message .message-button{
  display:block;
  float:right;   
  border: solid thick #333333;
  background-color: #111111;
  color:white;     
}
.Message .message-button.p1b2{
  border-radius: 0 0.5rem 0 0.5rem;
  height:100%;
}


@keyframes fadeIn {
  0% { opacity: 0; }
  100% { opacity: 1; }
}



/* VIDEO */
.overlay{
  position:absolute;
  width:100%;
  height:100%;
  background-color:#111;
  z-index: 10;
  text-align: center;
  overflow: hidden;
}
.overlay div{
  padding-top:20%;
  font-weight:bold;
  font-size:2rem;
}
.videoContainer{
  position:fixed;
  left:0;
  top:0;
  width:100%;
  height:100%;
  z-index: -1;
}
.videoContainer .video {
  position: relative;
  width: 100%;
  height: 0;
  padding-bottom: 56.25%;
}
.videoContainer .video iframe,  .videoContainer .videoPlayer{
  position: absolute;
  top: 0;
  left: 0;
  width: 100%;
  height: 100%;
  object-fit: fill;
}
.videoContainer .videoCoverUp{
  position: absolute;
  width: 100%;
  height: 100%;
  z-index:10;
  animation: fadeout 10s normal;
} 
@keyframes fadeout {
  0% {background-color: black;}
  80% {background-color: black;}
  100% {background-color: transparent;}
}


/* SEAT */
.seat{
  /* padding:1rem; */
  margin-top:1rem;
  border-radius: 0.5rem;
  min-height:4rem;

  text-transform: capitalize;
  background-color:black;
  border:solid thin #444;
  box-shadow: 5px 5px 10px black;



}

.seat .player-container{
  display: flex;
}

.seat .player-seat-number{    
  position:absolute;
  
  font-size:0.75rem;
  padding:0.25rem;
  border: solid thin #333333;
  background-color: #111111;
  color:white;   
  border-radius: 0.5rem 0 0.5rem 0;

}



.seat .player-info{
  padding:1rem;
  margin-bottom:0;
  width:80%;
  position:relative;
  /* background-color:blue;   */
  
}

.seat .player-buttons{    
  text-align:right;
  width:20%;
  /* background-color:red; */
}
@media (max-width: 800px) {
  .seat .player-buttons button{ 
    height: 5em;
    width: 6em;
  }
}


.seat .player-buttons .player-button{  
  /* background-color: yellow; */
  display:block;
  float:right;   
  border: solid thick #333333;
  background-color: #111111;
  color:white;     
  /* opacity:0.5; */
}

.seat .player-buttons .player-button:hover{
  cursor: pointer;
}

.seat .player-buttons .player-button.b1{
  border-radius: 0 0.5rem 0 0;
}
.seat .player-buttons .player-button.b2{
  border-radius: 0 0 0 0;
}
.seat .player-buttons .player-button.b3{
  border-radius: 0 0 0 0;
}
.seat .player-buttons .player-button.b4{
  border-radius: 0 0 0.5rem 0;
}


/* Seat indicators */
.indicator{
  display: inline-block;
  font-size: 1.25rem;
  margin-right: 0.5rem;
  margin-left: 1.0rem;
}
.seat.status-active .indicator, 
.seat.status-active-passable .indicator{
  animation: blinker 1s linear infinite;
}
.seat.status-empty .indicator{
  display:none;
}
.seat.status-empty .indicator{
  color:grey;
}
.color-red .indicator{
  color: red;
}
.color-yellow .indicator{
  color: yellow;
}
.color-green .indicator{
  color: green;
}
.color-blue .indicator{
  color: blue;
}
.color-teal .indicator{
  color: teal;
}
.color-purple .indicator{
  color: purple;
}
.color-brown .indicator{
  color: brown;
}
.color-white .indicator{
  color: white;
}
@keyframes blinker {
  50% {
    opacity: 0;
  }
}


/* Phase Indicator */
.phase-indicator {
  padding:1rem;
  margin-top:1rem;
  border-radius: 0.5rem;

  text-transform: capitalize;
  background-color:black;
  border:solid thin #444;
  box-shadow: 5px 5px 10px black;

  opacity:0.9;
}
.phase-indicator.blank{
  opacity: 0.25;
}
.phase-indicator.blank .content{
  display: none;
}

/* Seat Names */
.seat.status-empty .name{
  display:none;
}
.name{
  display:inline;
}

/* Seat Status */
.seat .status{
  display:block;
  margin-left: 1rem;
  color: #444;
}
.seat.status-passed{
  opacity: 0.5;
}
.seat.status-empty{
  opacity: 0.25;
}
.seat.status-dead{
  opacity: 0.5;
}

/* Seat Timers */
.seat .timer{
  opacity: 0.2;
  font-size:0.9rem;
  position:absolute;
  right:1em;
  bottom:1em;
}
.seat.status-empty .timer{
  display:none;
}